package com.logicbig.example;

import javax.persistence.*;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

@Entity
public class Journal {
    @Id
    @GeneratedValue
    private long id;
    @ElementCollection
    @Convert(converter = FileConverter.class, attributeName = "file")
    private List<Report> reports;

    public void addReport(String description, File file) {
        if (reports == null) {
            reports = new ArrayList<>();
        }
        Report report = new Report();
        report.setDescription(description);
        report.setFile(file);
        reports.add(report);
    }


    @Override
    public String toString() {
        return "Journal{" +
                "id=" + id +
                ", reports=" + reports +
                '}';
    }
}